summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorPumpkinCheshire2022-05-24 11:17:21 +0800
committerPumpkinCheshire2022-05-24 11:17:21 +0800
commitb383717c64edb46b924ee578b7f0ff4e7f681085 (patch)
treeccf8a7f29d5f32868f6ae26b135e1404867f6970 /PKGBUILD
parentbd0b9f1b96fd71f5ba8156c5b5bb5216cd56d7a1 (diff)
downloadaur-b383717c64edb46b924ee578b7f0ff4e7f681085.tar.gz
bump to 0.15.2
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD24
1 files changed, 14 insertions, 10 deletions
diff --git a/PKGBUILD b/PKGBUILD
index e6c1bbed3be..883bf523db3 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -4,31 +4,35 @@
pkgname=python-viztracer
_name=viztracer
-pkgver=0.15.0
+pkgver=0.15.2
pkgrel=1
pkgdesc='VizTracer is a low-overhead logging/debugging/profiling tool that can trace and visualize your python code execution.'
arch=('x86_64')
url="https://github.com/gaogaotiantian/$_name"
license=('Apache')
depends=('python')
-makedepends=('python-setuptools')
+makedepends=(
+ 'python-wheel'
+ 'python-build'
+ 'python-installer'
+)
optdepends=(
'python-rich: Full function support'
'python-orjson: Full function support'
'chromium: browser to open html results'
)
source=("https://files.pythonhosted.org/packages/source/${_name::1}/${_name}/${_name}-${pkgver}.tar.gz")
-b2sums=('c072885e46d22d592144ec9ff09444cea729c71d8383407529b7267a1c2a4114000a9f330b0504342ae871b713a4fe266c124a681bf4dfc79f7651d32319325f')
+b2sums=('de6bd3c4d03d263c3f4fa67207674471b076e1ce94a96733215d3b94d8a5f5a4cbdd670aaaf041750d7928bfbe5eef238e8e05e7c9a27342f3fa7b48e7e387d4')
build() {
- cd "$_name-$pkgver" || exit
- export PYTHONHASHSEED=0
- python setup.py build
+ cd "$srcdir/$_name-$pkgver" || exit
+
+ python -m build --wheel --no-isolation
}
package() {
- cd "$_name-$pkgver" || exit
- python setup.py install --root="$pkgdir" --optimize=1 --skip-build
- install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
- # install -Dm644 $scrdir/README* "${pkgdir}/usr/share/doc/${pkgname}/README"
+ cd "$srcdir/$_name-$pkgver" || exit
+ python -m installer --destdir="$pkgdir" dist/*.whl
+
+ # install -Dm644 LICENSE.txt "$pkgdir/usr/share/licenses/python-$_name/LICENSE"
}